IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/76
Addresses2^52
/64 networksPart of one
- Network
2001:db8:0:0:930::/76- First address
2001:db8:0:0:930::- Last address
2001:db8::93f:ffff:ffff:ffff- Addresses
- 4,503,599,627,370,496 (2^52)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:0930:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
3.9.0.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:0:0:930::/76 makes 256 subnets of /84.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:0:930::/84 | 2001:db8::930:fff:ffff:ffff |
| 2 | 2001:db8::930:1000:0:0/84 | 2001:db8::930:1fff:ffff:ffff |
| 3 | 2001:db8::930:2000:0:0/84 | 2001:db8::930:2fff:ffff:ffff |
| 4 | 2001:db8::930:3000:0:0/84 | 2001:db8::930:3fff:ffff:ffff |
| 5 | 2001:db8::930:4000:0:0/84 | 2001:db8::930:4fff:ffff:ffff |
| 6 | 2001:db8::930:5000:0:0/84 | 2001:db8::930:5fff:ffff:ffff |
| 7 | 2001:db8::930:6000:0:0/84 | 2001:db8::930:6fff:ffff:ffff |
| 8 | 2001:db8::930:7000:0:0/84 | 2001:db8::930:7fff:ffff:ffff |
| 9 | 2001:db8::930:8000:0:0/84 | 2001:db8::930:8fff:ffff:ffff |
| 10 | 2001:db8::930:9000:0:0/84 | 2001:db8::930:9fff:ffff:ffff |
| 11 | 2001:db8::930:a000:0:0/84 | 2001:db8::930:afff:ffff:ffff |
| 12 | 2001:db8::930:b000:0:0/84 | 2001:db8::930:bfff:ffff:ffff |
| 13 | 2001:db8::930:c000:0:0/84 | 2001:db8::930:cfff:ffff:ffff |
| 14 | 2001:db8::930:d000:0:0/84 | 2001:db8::930:dfff:ffff:ffff |
| 15 | 2001:db8::930:e000:0:0/84 | 2001:db8::930:efff:ffff:ffff |
| 16 | 2001:db8::930:f000:0:0/84 | 2001:db8::930:ffff:ffff:ffff |
| 17 | 2001:db8:0:0:931::/84 | 2001:db8::931:fff:ffff:ffff |
| 18 | 2001:db8::931:1000:0:0/84 | 2001:db8::931:1fff:ffff:ffff |
| 19 | 2001:db8::931:2000:0:0/84 | 2001:db8::931:2fff:ffff:ffff |
| 20 | 2001:db8::931:3000:0:0/84 | 2001:db8::931:3fff:ffff:ffff |
| 21 | 2001:db8::931:4000:0:0/84 | 2001:db8::931:4fff:ffff:ffff |
| 22 | 2001:db8::931:5000:0:0/84 | 2001:db8::931:5fff:ffff:ffff |
| 23 | 2001:db8::931:6000:0:0/84 | 2001:db8::931:6fff:ffff:ffff |
| 24 | 2001:db8::931:7000:0:0/84 | 2001:db8::931:7fff:ffff:ffff |
| 25 | 2001:db8::931:8000:0:0/84 | 2001:db8::931:8fff:ffff:ffff |
| 26 | 2001:db8::931:9000:0:0/84 | 2001:db8::931:9fff:ffff:ffff |
| 27 | 2001:db8::931:a000:0:0/84 | 2001:db8::931:afff:ffff:ffff |
| 28 | 2001:db8::931:b000:0:0/84 | 2001:db8::931:bfff:ffff:ffff |
| 29 | 2001:db8::931:c000:0:0/84 | 2001:db8::931:cfff:ffff:ffff |
| 30 | 2001:db8::931:d000:0:0/84 | 2001:db8::931:dfff:ffff:ffff |
| 31 | 2001:db8::931:e000:0:0/84 | 2001:db8::931:efff:ffff:ffff |
| 32 | 2001:db8::931:f000:0:0/84 | 2001:db8::931:ffff:ffff:ffff |
| 33 | 2001:db8:0:0:932::/84 | 2001:db8::932:fff:ffff:ffff |
| 34 | 2001:db8::932:1000:0:0/84 | 2001:db8::932:1fff:ffff:ffff |
| 35 | 2001:db8::932:2000:0:0/84 | 2001:db8::932:2fff:ffff:ffff |
| 36 | 2001:db8::932:3000:0:0/84 | 2001:db8::932:3fff:ffff:ffff |
| 37 | 2001:db8::932:4000:0:0/84 | 2001:db8::932:4fff:ffff:ffff |
| 38 | 2001:db8::932:5000:0:0/84 | 2001:db8::932:5fff:ffff:ffff |
| 39 | 2001:db8::932:6000:0:0/84 | 2001:db8::932:6fff:ffff:ffff |
| 40 | 2001:db8::932:7000:0:0/84 | 2001:db8::932:7fff:ffff:ffff |
| 41 | 2001:db8::932:8000:0:0/84 | 2001:db8::932:8fff:ffff:ffff |
| 42 | 2001:db8::932:9000:0:0/84 | 2001:db8::932:9fff:ffff:ffff |
| 43 | 2001:db8::932:a000:0:0/84 | 2001:db8::932:afff:ffff:ffff |
| 44 | 2001:db8::932:b000:0:0/84 | 2001:db8::932:bfff:ffff:ffff |
| 45 | 2001:db8::932:c000:0:0/84 | 2001:db8::932:cfff:ffff:ffff |
| 46 | 2001:db8::932:d000:0:0/84 | 2001:db8::932:dfff:ffff:ffff |
| 47 | 2001:db8::932:e000:0:0/84 | 2001:db8::932:efff:ffff:ffff |
| 48 | 2001:db8::932:f000:0:0/84 | 2001:db8::932:ffff:ffff:ffff |
| 49 | 2001:db8:0:0:933::/84 | 2001:db8::933:fff:ffff:ffff |
| 50 | 2001:db8::933:1000:0:0/84 | 2001:db8::933:1fff:ffff:ffff |
| 51 | 2001:db8::933:2000:0:0/84 | 2001:db8::933:2fff:ffff:ffff |
| 52 | 2001:db8::933:3000:0:0/84 | 2001:db8::933:3fff:ffff:ffff |
| 53 | 2001:db8::933:4000:0:0/84 | 2001:db8::933:4fff:ffff:ffff |
| 54 | 2001:db8::933:5000:0:0/84 | 2001:db8::933:5fff:ffff:ffff |
| 55 | 2001:db8::933:6000:0:0/84 | 2001:db8::933:6fff:ffff:ffff |
| 56 | 2001:db8::933:7000:0:0/84 | 2001:db8::933:7fff:ffff:ffff |
| 57 | 2001:db8::933:8000:0:0/84 | 2001:db8::933:8fff:ffff:ffff |
| 58 | 2001:db8::933:9000:0:0/84 | 2001:db8::933:9fff:ffff:ffff |
| 59 | 2001:db8::933:a000:0:0/84 | 2001:db8::933:afff:ffff:ffff |
| 60 | 2001:db8::933:b000:0:0/84 | 2001:db8::933:bfff:ffff:ffff |
| 61 | 2001:db8::933:c000:0:0/84 | 2001:db8::933:cfff:ffff:ffff |
| 62 | 2001:db8::933:d000:0:0/84 | 2001:db8::933:dfff:ffff:ffff |
| 63 | 2001:db8::933:e000:0:0/84 | 2001:db8::933:efff:ffff:ffff |
| 64 | 2001:db8::933:f000:0:0/84 | 2001:db8::933:ffff:ffff:ffff |
| 65 | 2001:db8:0:0:934::/84 | 2001:db8::934:fff:ffff:ffff |
| 66 | 2001:db8::934:1000:0:0/84 | 2001:db8::934:1fff:ffff:ffff |
| 67 | 2001:db8::934:2000:0:0/84 | 2001:db8::934:2fff:ffff:ffff |
| 68 | 2001:db8::934:3000:0:0/84 | 2001:db8::934:3fff:ffff:ffff |
| 69 | 2001:db8::934:4000:0:0/84 | 2001:db8::934:4fff:ffff:ffff |
| 70 | 2001:db8::934:5000:0:0/84 | 2001:db8::934:5fff:ffff:ffff |
| 71 | 2001:db8::934:6000:0:0/84 | 2001:db8::934:6fff:ffff:ffff |
| 72 | 2001:db8::934:7000:0:0/84 | 2001:db8::934:7fff:ffff:ffff |
| 73 | 2001:db8::934:8000:0:0/84 | 2001:db8::934:8fff:ffff:ffff |
| 74 | 2001:db8::934:9000:0:0/84 | 2001:db8::934:9fff:ffff:ffff |
| 75 | 2001:db8::934:a000:0:0/84 | 2001:db8::934:afff:ffff:ffff |
| 76 | 2001:db8::934:b000:0:0/84 | 2001:db8::934:bfff:ffff:ffff |
| 77 | 2001:db8::934:c000:0:0/84 | 2001:db8::934:cfff:ffff:ffff |
| 78 | 2001:db8::934:d000:0:0/84 | 2001:db8::934:dfff:ffff:ffff |
| 79 | 2001:db8::934:e000:0:0/84 | 2001:db8::934:efff:ffff:ffff |
| 80 | 2001:db8::934:f000:0:0/84 | 2001:db8::934:ffff:ffff:ffff |
| 81 | 2001:db8:0:0:935::/84 | 2001:db8::935:fff:ffff:ffff |
| 82 | 2001:db8::935:1000:0:0/84 | 2001:db8::935:1fff:ffff:ffff |
| 83 | 2001:db8::935:2000:0:0/84 | 2001:db8::935:2fff:ffff:ffff |
| 84 | 2001:db8::935:3000:0:0/84 | 2001:db8::935:3fff:ffff:ffff |
| 85 | 2001:db8::935:4000:0:0/84 | 2001:db8::935:4fff:ffff:ffff |
| 86 | 2001:db8::935:5000:0:0/84 | 2001:db8::935:5fff:ffff:ffff |
| 87 | 2001:db8::935:6000:0:0/84 | 2001:db8::935:6fff:ffff:ffff |
| 88 | 2001:db8::935:7000:0:0/84 | 2001:db8::935:7fff:ffff:ffff |
| 89 | 2001:db8::935:8000:0:0/84 | 2001:db8::935:8fff:ffff:ffff |
| 90 | 2001:db8::935:9000:0:0/84 | 2001:db8::935:9fff:ffff:ffff |
| 91 | 2001:db8::935:a000:0:0/84 | 2001:db8::935:afff:ffff:ffff |
| 92 | 2001:db8::935:b000:0:0/84 | 2001:db8::935:bfff:ffff:ffff |
| 93 | 2001:db8::935:c000:0:0/84 | 2001:db8::935:cfff:ffff:ffff |
| 94 | 2001:db8::935:d000:0:0/84 | 2001:db8::935:dfff:ffff:ffff |
| 95 | 2001:db8::935:e000:0:0/84 | 2001:db8::935:efff:ffff:ffff |
| 96 | 2001:db8::935:f000:0:0/84 | 2001:db8::935:ffff:ffff:ffff |
| 97 | 2001:db8:0:0:936::/84 | 2001:db8::936:fff:ffff:ffff |
| 98 | 2001:db8::936:1000:0:0/84 | 2001:db8::936:1fff:ffff:ffff |
| 99 | 2001:db8::936:2000:0:0/84 | 2001:db8::936:2fff:ffff:ffff |
| 100 | 2001:db8::936:3000:0:0/84 | 2001:db8::936:3fff:ffff:ffff |
| 101 | 2001:db8::936:4000:0:0/84 | 2001:db8::936:4fff:ffff:ffff |
| 102 | 2001:db8::936:5000:0:0/84 | 2001:db8::936:5fff:ffff:ffff |
| 103 | 2001:db8::936:6000:0:0/84 | 2001:db8::936:6fff:ffff:ffff |
| 104 | 2001:db8::936:7000:0:0/84 | 2001:db8::936:7fff:ffff:ffff |
| 105 | 2001:db8::936:8000:0:0/84 | 2001:db8::936:8fff:ffff:ffff |
| 106 | 2001:db8::936:9000:0:0/84 | 2001:db8::936:9fff:ffff:ffff |
| 107 | 2001:db8::936:a000:0:0/84 | 2001:db8::936:afff:ffff:ffff |
| 108 | 2001:db8::936:b000:0:0/84 | 2001:db8::936:bfff:ffff:ffff |
| 109 | 2001:db8::936:c000:0:0/84 | 2001:db8::936:cfff:ffff:ffff |
| 110 | 2001:db8::936:d000:0:0/84 | 2001:db8::936:dfff:ffff:ffff |
| 111 | 2001:db8::936:e000:0:0/84 | 2001:db8::936:efff:ffff:ffff |
| 112 | 2001:db8::936:f000:0:0/84 | 2001:db8::936:ffff:ffff:ffff |
| 113 | 2001:db8:0:0:937::/84 | 2001:db8::937:fff:ffff:ffff |
| 114 | 2001:db8::937:1000:0:0/84 | 2001:db8::937:1fff:ffff:ffff |
| 115 | 2001:db8::937:2000:0:0/84 | 2001:db8::937:2fff:ffff:ffff |
| 116 | 2001:db8::937:3000:0:0/84 | 2001:db8::937:3fff:ffff:ffff |
| 117 | 2001:db8::937:4000:0:0/84 | 2001:db8::937:4fff:ffff:ffff |
| 118 | 2001:db8::937:5000:0:0/84 | 2001:db8::937:5fff:ffff:ffff |
| 119 | 2001:db8::937:6000:0:0/84 | 2001:db8::937:6fff:ffff:ffff |
| 120 | 2001:db8::937:7000:0:0/84 | 2001:db8::937:7fff:ffff:ffff |
| 121 | 2001:db8::937:8000:0:0/84 | 2001:db8::937:8fff:ffff:ffff |
| 122 | 2001:db8::937:9000:0:0/84 | 2001:db8::937:9fff:ffff:ffff |
| 123 | 2001:db8::937:a000:0:0/84 | 2001:db8::937:afff:ffff:ffff |
| 124 | 2001:db8::937:b000:0:0/84 | 2001:db8::937:bfff:ffff:ffff |
| 125 | 2001:db8::937:c000:0:0/84 | 2001:db8::937:cfff:ffff:ffff |
| 126 | 2001:db8::937:d000:0:0/84 | 2001:db8::937:dfff:ffff:ffff |
| 127 | 2001:db8::937:e000:0:0/84 | 2001:db8::937:efff:ffff:ffff |
| 128 | 2001:db8::937:f000:0:0/84 | 2001:db8::937:ffff:ffff:ffff |
| 129 | 2001:db8:0:0:938::/84 | 2001:db8::938:fff:ffff:ffff |
| 130 | 2001:db8::938:1000:0:0/84 | 2001:db8::938:1fff:ffff:ffff |
| 131 | 2001:db8::938:2000:0:0/84 | 2001:db8::938:2fff:ffff:ffff |
| 132 | 2001:db8::938:3000:0:0/84 | 2001:db8::938:3fff:ffff:ffff |
| 133 | 2001:db8::938:4000:0:0/84 | 2001:db8::938:4fff:ffff:ffff |
| 134 | 2001:db8::938:5000:0:0/84 | 2001:db8::938:5fff:ffff:ffff |
| 135 | 2001:db8::938:6000:0:0/84 | 2001:db8::938:6fff:ffff:ffff |
| 136 | 2001:db8::938:7000:0:0/84 | 2001:db8::938:7fff:ffff:ffff |
| 137 | 2001:db8::938:8000:0:0/84 | 2001:db8::938:8fff:ffff:ffff |
| 138 | 2001:db8::938:9000:0:0/84 | 2001:db8::938:9fff:ffff:ffff |
| 139 | 2001:db8::938:a000:0:0/84 | 2001:db8::938:afff:ffff:ffff |
| 140 | 2001:db8::938:b000:0:0/84 | 2001:db8::938:bfff:ffff:ffff |
| 141 | 2001:db8::938:c000:0:0/84 | 2001:db8::938:cfff:ffff:ffff |
| 142 | 2001:db8::938:d000:0:0/84 | 2001:db8::938:dfff:ffff:ffff |
| 143 | 2001:db8::938:e000:0:0/84 | 2001:db8::938:efff:ffff:ffff |
| 144 | 2001:db8::938:f000:0:0/84 | 2001:db8::938:ffff:ffff:ffff |
| 145 | 2001:db8:0:0:939::/84 | 2001:db8::939:fff:ffff:ffff |
| 146 | 2001:db8::939:1000:0:0/84 | 2001:db8::939:1fff:ffff:ffff |
| 147 | 2001:db8::939:2000:0:0/84 | 2001:db8::939:2fff:ffff:ffff |
| 148 | 2001:db8::939:3000:0:0/84 | 2001:db8::939:3fff:ffff:ffff |
| 149 | 2001:db8::939:4000:0:0/84 | 2001:db8::939:4fff:ffff:ffff |
| 150 | 2001:db8::939:5000:0:0/84 | 2001:db8::939:5fff:ffff:ffff |
| 151 | 2001:db8::939:6000:0:0/84 | 2001:db8::939:6fff:ffff:ffff |
| 152 | 2001:db8::939:7000:0:0/84 | 2001:db8::939:7fff:ffff:ffff |
| 153 | 2001:db8::939:8000:0:0/84 | 2001:db8::939:8fff:ffff:ffff |
| 154 | 2001:db8::939:9000:0:0/84 | 2001:db8::939:9fff:ffff:ffff |
| 155 | 2001:db8::939:a000:0:0/84 | 2001:db8::939:afff:ffff:ffff |
| 156 | 2001:db8::939:b000:0:0/84 | 2001:db8::939:bfff:ffff:ffff |
| 157 | 2001:db8::939:c000:0:0/84 | 2001:db8::939:cfff:ffff:ffff |
| 158 | 2001:db8::939:d000:0:0/84 | 2001:db8::939:dfff:ffff:ffff |
| 159 | 2001:db8::939:e000:0:0/84 | 2001:db8::939:efff:ffff:ffff |
| 160 | 2001:db8::939:f000:0:0/84 | 2001:db8::939:ffff:ffff:ffff |
| 161 | 2001:db8:0:0:93a::/84 | 2001:db8::93a:fff:ffff:ffff |
| 162 | 2001:db8::93a:1000:0:0/84 | 2001:db8::93a:1fff:ffff:ffff |
| 163 | 2001:db8::93a:2000:0:0/84 | 2001:db8::93a:2fff:ffff:ffff |
| 164 | 2001:db8::93a:3000:0:0/84 | 2001:db8::93a:3fff:ffff:ffff |
| 165 | 2001:db8::93a:4000:0:0/84 | 2001:db8::93a:4fff:ffff:ffff |
| 166 | 2001:db8::93a:5000:0:0/84 | 2001:db8::93a:5fff:ffff:ffff |
| 167 | 2001:db8::93a:6000:0:0/84 | 2001:db8::93a:6fff:ffff:ffff |
| 168 | 2001:db8::93a:7000:0:0/84 | 2001:db8::93a:7fff:ffff:ffff |
| 169 | 2001:db8::93a:8000:0:0/84 | 2001:db8::93a:8fff:ffff:ffff |
| 170 | 2001:db8::93a:9000:0:0/84 | 2001:db8::93a:9fff:ffff:ffff |
| 171 | 2001:db8::93a:a000:0:0/84 | 2001:db8::93a:afff:ffff:ffff |
| 172 | 2001:db8::93a:b000:0:0/84 | 2001:db8::93a:bfff:ffff:ffff |
| 173 | 2001:db8::93a:c000:0:0/84 | 2001:db8::93a:cfff:ffff:ffff |
| 174 | 2001:db8::93a:d000:0:0/84 | 2001:db8::93a:dfff:ffff:ffff |
| 175 | 2001:db8::93a:e000:0:0/84 | 2001:db8::93a:efff:ffff:ffff |
| 176 | 2001:db8::93a:f000:0:0/84 | 2001:db8::93a:ffff:ffff:ffff |
| 177 | 2001:db8:0:0:93b::/84 | 2001:db8::93b:fff:ffff:ffff |
| 178 | 2001:db8::93b:1000:0:0/84 | 2001:db8::93b:1fff:ffff:ffff |
| 179 | 2001:db8::93b:2000:0:0/84 | 2001:db8::93b:2fff:ffff:ffff |
| 180 | 2001:db8::93b:3000:0:0/84 | 2001:db8::93b:3fff:ffff:ffff |
| 181 | 2001:db8::93b:4000:0:0/84 | 2001:db8::93b:4fff:ffff:ffff |
| 182 | 2001:db8::93b:5000:0:0/84 | 2001:db8::93b:5fff:ffff:ffff |
| 183 | 2001:db8::93b:6000:0:0/84 | 2001:db8::93b:6fff:ffff:ffff |
| 184 | 2001:db8::93b:7000:0:0/84 | 2001:db8::93b:7fff:ffff:ffff |
| 185 | 2001:db8::93b:8000:0:0/84 | 2001:db8::93b:8fff:ffff:ffff |
| 186 | 2001:db8::93b:9000:0:0/84 | 2001:db8::93b:9fff:ffff:ffff |
| 187 | 2001:db8::93b:a000:0:0/84 | 2001:db8::93b:afff:ffff:ffff |
| 188 | 2001:db8::93b:b000:0:0/84 | 2001:db8::93b:bfff:ffff:ffff |
| 189 | 2001:db8::93b:c000:0:0/84 | 2001:db8::93b:cfff:ffff:ffff |
| 190 | 2001:db8::93b:d000:0:0/84 | 2001:db8::93b:dfff:ffff:ffff |
| 191 | 2001:db8::93b:e000:0:0/84 | 2001:db8::93b:efff:ffff:ffff |
| 192 | 2001:db8::93b:f000:0:0/84 | 2001:db8::93b:ffff:ffff:ffff |
| 193 | 2001:db8:0:0:93c::/84 | 2001:db8::93c:fff:ffff:ffff |
| 194 | 2001:db8::93c:1000:0:0/84 | 2001:db8::93c:1fff:ffff:ffff |
| 195 | 2001:db8::93c:2000:0:0/84 | 2001:db8::93c:2fff:ffff:ffff |
| 196 | 2001:db8::93c:3000:0:0/84 | 2001:db8::93c:3fff:ffff:ffff |
| 197 | 2001:db8::93c:4000:0:0/84 | 2001:db8::93c:4fff:ffff:ffff |
| 198 | 2001:db8::93c:5000:0:0/84 | 2001:db8::93c:5fff:ffff:ffff |
| 199 | 2001:db8::93c:6000:0:0/84 | 2001:db8::93c:6fff:ffff:ffff |
| 200 | 2001:db8::93c:7000:0:0/84 | 2001:db8::93c:7fff:ffff:ffff |
| 201 | 2001:db8::93c:8000:0:0/84 | 2001:db8::93c:8fff:ffff:ffff |
| 202 | 2001:db8::93c:9000:0:0/84 | 2001:db8::93c:9fff:ffff:ffff |
| 203 | 2001:db8::93c:a000:0:0/84 | 2001:db8::93c:afff:ffff:ffff |
| 204 | 2001:db8::93c:b000:0:0/84 | 2001:db8::93c:bfff:ffff:ffff |
| 205 | 2001:db8::93c:c000:0:0/84 | 2001:db8::93c:cfff:ffff:ffff |
| 206 | 2001:db8::93c:d000:0:0/84 | 2001:db8::93c:dfff:ffff:ffff |
| 207 | 2001:db8::93c:e000:0:0/84 | 2001:db8::93c:efff:ffff:ffff |
| 208 | 2001:db8::93c:f000:0:0/84 | 2001:db8::93c:ffff:ffff:ffff |
| 209 | 2001:db8:0:0:93d::/84 | 2001:db8::93d:fff:ffff:ffff |
| 210 | 2001:db8::93d:1000:0:0/84 | 2001:db8::93d:1fff:ffff:ffff |
| 211 | 2001:db8::93d:2000:0:0/84 | 2001:db8::93d:2fff:ffff:ffff |
| 212 | 2001:db8::93d:3000:0:0/84 | 2001:db8::93d:3fff:ffff:ffff |
| 213 | 2001:db8::93d:4000:0:0/84 | 2001:db8::93d:4fff:ffff:ffff |
| 214 | 2001:db8::93d:5000:0:0/84 | 2001:db8::93d:5fff:ffff:ffff |
| 215 | 2001:db8::93d:6000:0:0/84 | 2001:db8::93d:6fff:ffff:ffff |
| 216 | 2001:db8::93d:7000:0:0/84 | 2001:db8::93d:7fff:ffff:ffff |
| 217 | 2001:db8::93d:8000:0:0/84 | 2001:db8::93d:8fff:ffff:ffff |
| 218 | 2001:db8::93d:9000:0:0/84 | 2001:db8::93d:9fff:ffff:ffff |
| 219 | 2001:db8::93d:a000:0:0/84 | 2001:db8::93d:afff:ffff:ffff |
| 220 | 2001:db8::93d:b000:0:0/84 | 2001:db8::93d:bfff:ffff:ffff |
| 221 | 2001:db8::93d:c000:0:0/84 | 2001:db8::93d:cfff:ffff:ffff |
| 222 | 2001:db8::93d:d000:0:0/84 | 2001:db8::93d:dfff:ffff:ffff |
| 223 | 2001:db8::93d:e000:0:0/84 | 2001:db8::93d:efff:ffff:ffff |
| 224 | 2001:db8::93d:f000:0:0/84 | 2001:db8::93d:ffff:ffff:ffff |
| 225 | 2001:db8:0:0:93e::/84 | 2001:db8::93e:fff:ffff:ffff |
| 226 | 2001:db8::93e:1000:0:0/84 | 2001:db8::93e:1fff:ffff:ffff |
| 227 | 2001:db8::93e:2000:0:0/84 | 2001:db8::93e:2fff:ffff:ffff |
| 228 | 2001:db8::93e:3000:0:0/84 | 2001:db8::93e:3fff:ffff:ffff |
| 229 | 2001:db8::93e:4000:0:0/84 | 2001:db8::93e:4fff:ffff:ffff |
| 230 | 2001:db8::93e:5000:0:0/84 | 2001:db8::93e:5fff:ffff:ffff |
| 231 | 2001:db8::93e:6000:0:0/84 | 2001:db8::93e:6fff:ffff:ffff |
| 232 | 2001:db8::93e:7000:0:0/84 | 2001:db8::93e:7fff:ffff:ffff |
| 233 | 2001:db8::93e:8000:0:0/84 | 2001:db8::93e:8fff:ffff:ffff |
| 234 | 2001:db8::93e:9000:0:0/84 | 2001:db8::93e:9fff:ffff:ffff |
| 235 | 2001:db8::93e:a000:0:0/84 | 2001:db8::93e:afff:ffff:ffff |
| 236 | 2001:db8::93e:b000:0:0/84 | 2001:db8::93e:bfff:ffff:ffff |
| 237 | 2001:db8::93e:c000:0:0/84 | 2001:db8::93e:cfff:ffff:ffff |
| 238 | 2001:db8::93e:d000:0:0/84 | 2001:db8::93e:dfff:ffff:ffff |
| 239 | 2001:db8::93e:e000:0:0/84 | 2001:db8::93e:efff:ffff:ffff |
| 240 | 2001:db8::93e:f000:0:0/84 | 2001:db8::93e:ffff:ffff:ffff |
| 241 | 2001:db8:0:0:93f::/84 | 2001:db8::93f:fff:ffff:ffff |
| 242 | 2001:db8::93f:1000:0:0/84 | 2001:db8::93f:1fff:ffff:ffff |
| 243 | 2001:db8::93f:2000:0:0/84 | 2001:db8::93f:2fff:ffff:ffff |
| 244 | 2001:db8::93f:3000:0:0/84 | 2001:db8::93f:3fff:ffff:ffff |
| 245 | 2001:db8::93f:4000:0:0/84 | 2001:db8::93f:4fff:ffff:ffff |
| 246 | 2001:db8::93f:5000:0:0/84 | 2001:db8::93f:5fff:ffff:ffff |
| 247 | 2001:db8::93f:6000:0:0/84 | 2001:db8::93f:6fff:ffff:ffff |
| 248 | 2001:db8::93f:7000:0:0/84 | 2001:db8::93f:7fff:ffff:ffff |
| 249 | 2001:db8::93f:8000:0:0/84 | 2001:db8::93f:8fff:ffff:ffff |
| 250 | 2001:db8::93f:9000:0:0/84 | 2001:db8::93f:9fff:ffff:ffff |
| 251 | 2001:db8::93f:a000:0:0/84 | 2001:db8::93f:afff:ffff:ffff |
| 252 | 2001:db8::93f:b000:0:0/84 | 2001:db8::93f:bfff:ffff:ffff |
| 253 | 2001:db8::93f:c000:0:0/84 | 2001:db8::93f:cfff:ffff:ffff |
| 254 | 2001:db8::93f:d000:0:0/84 | 2001:db8::93f:dfff:ffff:ffff |
| 255 | 2001:db8::93f:e000:0:0/84 | 2001:db8::93f:efff:ffff:ffff |
| 256 | 2001:db8::93f:f000:0:0/84 | 2001:db8::93f:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |